Analytics
On this page
Operations on analytics resources. 4 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.
POST /analytics/detect
AI Analytics Service
Request body
Analytics Request Parameters
{
"analytics": "string",
"version": "string",
"routeName": "string",
"meta": {
"useDeviceMetadataBoxes": "boolean",
"useObjectDetector": "boolean",
"useMotionDetection": "boolean",
"useLicensePlateDetection": "boolean",
"useFaceRecognition": "boolean",
"personConfidenceThreshold": "number",
"carConfidenceThreshold": "number",
"animalConfidenceThreshold": "number",
"licensePlateConfidenceThreshold": "number",
"faceConfidenceThreshold": "number",
"motionThreshold": "integer",
"motionMinBBoxWidth": "integer",
"motionMinBBoxHeight": "integer",
"modality": "string",
"roi": [
[
"integer"
]
],
"useHistogramEqualization": "boolean",
"saveDebugImages": "boolean",
"carMinArea": "integer",
"personMinArea": "integer",
"animalMinArea": "integer",
"licensePletMinArea": "integer",
"faceMinArea": "integer"
},
"frames": [
{
"imageUrl": "string",
"meta": {
"deviceMetadataBoxes": [
"…"
]
}
}
]
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized | |
403 | Forbidden | |
404 | Not Found |
Example 200 response:
{
"dataResult": [
{
"eventid": "",
"personConfidenceThreshold": 0.5,
"carConfidenceThreshold": 0.5,
"animalConfidenceThreshold": 0.5,
"hasPerson": true,
"hasCar": true,
"hasAnimal": false,
"full_frame_detections": [
{
"x": 1289,
"y": 189,
"width": 235,
"height": 543,
"frameIdx": 1,
"confidence": 0.99912816,
"label": "person"
},
{
"x": 6,
"y": 316,
"width": 440,
"height": 369,
"frameIdx": 1,
"confidence": 0.9997342,
"label": "car"
},
{
"x": 8,
"y": 317,
"width": 436,
"height": 368,
"frameIdx": 2,
"confidence": 0.9997941,
"label": "car"
}
],
"device_bboxes": [],
"motion_locations": []
}
],
"totalRecordsCount": 15
}POST /analytics/manage
remove Schedule
Request body
Analytics Request Parameters
{
"type": "string (required)",
"action": "string",
"oldExpression": "string (required)",
"newExpression": "string",
"spid": "string",
"hierarchyLevel": "string",
"hierarchyIds": [
"string"
]
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized |
POST /analytics/schedule
config Schedule
Request body
Analytics Request Parameters
{
"type": "string",
"action": "string (required)",
"spid": "string (required)",
"hierarchyIds": [
"string"
],
"hierarchyLevel": "string (required)",
"expression": "string"
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized |
POST /analytics/update
Update Schedule
Request body
Analytics Request Parameters
{
"entityType": "string",
"entityId": "string",
"serviceProviderId": "string",
"analyticType": "string",
"oldExpression": "string",
"newExpression": "string",
"isActive": "boolean",
"overwriteCustomSchedule": "string",
"analyticAction": "string",
"runOnce": "boolean"
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized |
Example 200 response:
{
"isSuccess": true
}Thank you — your feedback goes to the team that owns this page.